## Startup options on the web server
Several tools are being added to the web server to add efficient startups.
### Save and restore for camera settings
Without a save and restore tool for SwissFEL camera settings, this tool sets listed camera settings for **Basler** and **PCO edge** cameras.
### Database

The tool uses the camera configuration files on the camera server (accessible via CSM or API) as a database for the settings.  By adding a dictionary called "hardware_configuration" to the camera configuration:

````
"hardware_configuration": {
  "EXPOSURE": 9.9,
  "HSSPEED": 1,
  "REGIONX_START": 1,
  "REGIONY_START": 500
 },
````
where the item names are the suffix of the PV name of the camera PV to set.  For example, for the camera `SARFE10-PSSS059` the item in the dictionary above `EXPOSURE` sets the PV `SARFE10-PSSS059:EXPOSURE` to 9.9